#pragma once

#include "CoreMinimal.h"
#include "PremiumPurchasedItemData.generated.h"

USTRUCT(BlueprintType)
struct FPremiumPurchasedItemData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FString Id;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString Type;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 Amount;

public:
	DEADBYDAYLIGHT_API FPremiumPurchasedItemData();
};

FORCEINLINE uint32 GetTypeHash(const FPremiumPurchasedItemData) { return 0; }
